apiVersion: quay.redhat.com/v1
kind: QuayRegistry
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"quay.redhat.com/v1","kind":"QuayRegistry","metadata":{"annotations":{},"name":"quay-registry","namespace":"quay-registry"},"spec":{"components":[{"kind":"clair","managed":true,"overrides":{"env":[{"name":"DEBUGLOG","value":"false"}],"volumeSize":"100Gi"}},{"kind":"postgres","managed":false},{"kind":"objectstorage","managed":true},{"kind":"redis","managed":true},{"kind":"horizontalpodautoscaler","managed":false},{"kind":"route","managed":false},{"kind":"mirror","managed":true},{"kind":"monitoring","managed":true},{"kind":"tls","managed":true},{"kind":"quay","managed":true,"overrides":{"env":[{"name":"DEBUGLOG","value":"false"},{"name":"IGNORE_VALIDATION","value":"true"}]}},{"kind":"clairpostgres","managed":true}],"configBundleSecret":"storage-config-bundle"}}
  resourceVersion: '147760104'
  name: quay-registry
  uid: 2671334d-f56d-4897-a921-892adf923623
  creationTimestamp: '2022-09-16T11:17:52Z'
  generation: 13
  managedFields:
    - apiVersion: quay.redhat.com/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2022-09-16T11:17:52Z'
    - apiVersion: quay.redhat.com/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"quay-operator/finalizer"': {}
        'f:spec':
          'f:components': {}
          'f:configBundleSecret': {}
        'f:status':
          .: {}
          'f:conditions': {}
          'f:configEditorCredentialsSecret': {}
          'f:currentVersion': {}
          'f:lastUpdated': {}
          'f:registryEndpoint': {}
      manager: manager
      operation: Update
      time: '2022-09-16T11:29:01Z'
  namespace: quay-registry
  finalizers:
    - quay-operator/finalizer
spec:
  components:
    - kind: clair
      managed: true
      overrides:
        env:
          - name: DEBUGLOG
            value: 'false'
        volumeSize: 100Gi
    - kind: postgres
      managed: false
    - kind: objectstorage
      managed: true
    - kind: redis
      managed: true
    - kind: horizontalpodautoscaler
      managed: false
    - kind: route
      managed: false
    - kind: mirror
      managed: true
    - kind: monitoring
      managed: true
    - kind: tls
      managed: false
    - kind: quay
      managed: true
      overrides:
        env:
          - name: DEBUGLOG
            value: 'false'
          - name: IGNORE_VALIDATION
            value: 'true'
    - kind: clairpostgres
      managed: true
  configBundleSecret: quay-registry-quay-config-bundle-8tsqk
status:
  conditions:
    - lastTransitionTime: '2022-09-16T11:17:52Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Horizontal pod autoscaler not managed by the operator
      reason: ComponentNotManaged
      status: 'True'
      type: ComponentHPAReady
    - lastTransitionTime: '2022-09-16T11:17:52Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Route is not managed by the operator
      reason: ComponentNotManaged
      status: 'True'
      type: ComponentRouteReady
    - lastTransitionTime: '2022-09-16T11:17:56Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: ServiceMonitor and PrometheusRules created
      reason: ComponentReady
      status: 'True'
      type: ComponentMonitoringReady
    - lastTransitionTime: '2022-09-16T11:17:52Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Postgres not managed by the operator
      reason: ComponentNotManaged
      status: 'True'
      type: ComponentPostgresReady
    - lastTransitionTime: '2022-09-16T11:17:56Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Object bucket claim bound
      reason: ComponentReady
      status: 'True'
      type: ComponentObjectStorageReady
    - lastTransitionTime: '2022-09-16T11:18:52Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Clair component healthy
      reason: ComponentReady
      status: 'True'
      type: ComponentClairReady
    - lastTransitionTime: '2022-09-16T11:18:52Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: ClairPostgres component healthy
      reason: ComponentReady
      status: 'True'
      type: ComponentClairPostgresReady
    - lastTransitionTime: '2022-09-16T11:17:52Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Config bundle contains certs
      reason: ComponentReady
      status: 'True'
      type: ComponentTLSReady
    - lastTransitionTime: '2022-09-16T11:18:14Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Deployment quay-registry-quay-redis healthy
      reason: ComponentReady
      status: 'True'
      type: ComponentRedisReady
    - lastTransitionTime: '2022-09-19T07:29:23Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Quay component healthy
      reason: ComponentReady
      status: 'True'
      type: ComponentQuayReady
    - lastTransitionTime: '2022-09-19T07:37:37Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: Deployment quay-registry-quay-mirror healthy
      reason: ComponentReady
      status: 'True'
      type: ComponentMirrorReady
    - lastTransitionTime: '2022-09-19T07:37:37Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: All components reporting as healthy
      reason: HealthChecksPassing
      status: 'True'
      type: Available
    - lastTransitionTime: '2022-09-16T11:24:44Z'
      lastUpdateTime: '2022-09-16T11:24:44Z'
      message: All registry components created
      reason: ComponentsCreationSuccess
      status: 'True'
      type: ComponentsCreated
    - lastTransitionTime: '2022-09-20T11:22:00Z'
      lastUpdateTime: '2022-09-20T11:22:00Z'
      message: All objects created/updated successfully
      reason: ComponentsCreationSuccess
      status: 'False'
      type: RolloutBlocked
  configEditorCredentialsSecret: quay-registry-quay-config-editor-credentials-k4g2gbmhkb
  currentVersion: v3.7.8
  lastUpdated: '2022-09-20 11:22:00.807319733 +0000 UTC'
  registryEndpoint: 'https://enterprisequay.pcrtest.rbi.org.in'
